# revision 26313
# category Package
# catalog-ctan /support/sty2dtx
# catalog-date 2011-02-22 16:43:40 +0100
# catalog-license gpl3
# catalog-version 2.1
Name:		texlive-sty2dtx
Version:	2.1
Release:	3
Summary:	Create a .dtx file from a .sty file
Group:		Publishing
URL:		http://www.ctan.org/tex-archive/support/sty2dtx
License:	GPL3
Source0:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/sty2dtx.tar.xz
Source1:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/sty2dtx.doc.tar.xz
BuildArch:	noarch
BuildRequires:	texlive-tlpkg
Requires(pre):	texlive-tlpkg
Requires(post):	texlive-kpathsea
Provides:	texlive-sty2dtx.bin = %{EVRD}

%description
The package provides a Perl script that converts a .sty file
(LaTeX package) to .dtx format (documented LaTeX source), by
surrounding macro definitions with macro and macrocode
environments. The macro name is automatically inserted as an
argument to the macro environemnt. Code lines outside macro
definitions are wrapped only in macrocode environments. Empty
lines are removed. The script should not be thought to be fool
proof and 100% accurate but rather as a good start to the
business of making a .dtx file from an undocumented style file.
Full .dtx files are generated. A template based on the skeleton
file from 'dtxtut' is used. User level macros are added
automatically to the 'Usage' section of the .dtx file. A
corresponding .ins file can be generated as well.

%post
    %{_sbindir}/texlive.post

%postun
    if [ $1 -eq 0 ]; then
	%{_sbindir}/texlive.post
    fi

#-----------------------------------------------------------------------
%files
%{_bindir}/sty2dtx
%{_texmfdistdir}/scripts/sty2dtx/sty2dtx.pl
%doc %{_texmfdistdir}/doc/support/sty2dtx/README

#-----------------------------------------------------------------------
%prep
%setup -c -a0 -a1

%build

%install
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
    ln -sf %{_texmfdistdir}/scripts/sty2dtx/sty2dtx.pl sty2dtx
popd
mkdir -p %{buildroot}%{_datadir}
cp -fpar texmf-dist %{buildroot}%{_datadir}


%changelog
* Wed Aug 08 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.1-3
+ Revision: 812883
- Update to latest release.

* Wed Jan 04 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.1-2
+ Revision: 756288
- Rebuild to reduce used resources

* Sat Nov 05 2011 Paulo Andrade <pcpa@mandriva.com.br> 2.1-1
+ Revision: 719598
- texlive-sty2dtx
- texlive-sty2dtx
- texlive-sty2dtx
- texlive-sty2dtx

